Freigeben über


Workspace Aad Admins - Get

Ruft einen Active Directory-Arbeitsbereich-Administrator ab.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/administrators/activeDirectory?api-version=2021-06-01

URI-Parameter

Name In Erforderlich Typ Beschreibung
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Der Name der Ressourcengruppe. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet.

subscriptionId
path True

string

minLength: 1

Die ID des Zielabonnements.

workspaceName
path True

string

Der Name des Arbeitsbereichs.

api-version
query True

string

minLength: 1

Die API-Version, die für diesen Vorgang verwendet werden soll.

Antworten

Name Typ Beschreibung
200 OK

WorkspaceAadAdminInfo

OKAY

Other Status Codes

ErrorResponse

Beispiele

Get workspace active directory admin

Beispielanforderung

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup1/providers/Microsoft.Synapse/workspaces/workspace1/administrators/activeDirectory?api-version=2021-06-01

Beispiel für eine Antwort

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroup1/providers/Microsoft.Synapse/workspaces/workspace1/administrators/activeDirectory",
  "name": "activeDirectory",
  "properties": {
    "administratorType": "ActiveDirectory",
    "login": "bob@contoso.com",
    "sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
    "tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c"
  }
}

Definitionen

Name Beschreibung
ErrorAdditionalInfo

Der Ressourcenverwaltungsfehler zusätzliche Informationen.

ErrorDetail

Das Fehlerdetails.

ErrorResponse

Fehlerantwort

WorkspaceAadAdminInfo

Active Directory-Administrator des Arbeitsbereichs

ErrorAdditionalInfo

Der Ressourcenverwaltungsfehler zusätzliche Informationen.

Name Typ Beschreibung
info

object

Die zusätzlichen Informationen.

type

string

Der zusätzliche Informationstyp.

ErrorDetail

Das Fehlerdetails.

Name Typ Beschreibung
additionalInfo

ErrorAdditionalInfo[]

Die zusätzlichen Informationen des Fehlers.

code

string

Der Fehlercode.

details

ErrorDetail[]

Die Fehlerdetails.

message

string

Die Fehlermeldung.

target

string

Das Fehlerziel.

ErrorResponse

Fehlerantwort

Name Typ Beschreibung
error

ErrorDetail

Das Fehlerobjekt.

WorkspaceAadAdminInfo

Active Directory-Administrator des Arbeitsbereichs

Name Typ Beschreibung
id

string

Vollqualifizierte Ressourcen-ID für die Ressource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Der Name der Ressource

properties.administratorType

string

Active Directory-Administratortyp des Arbeitsbereichs

properties.login

string

Anmeldung des Active Directory-Administrators des Arbeitsbereichs

properties.sid

string

Objekt-ID des Active Directory-Administrators des Arbeitsbereichs

properties.tenantId

string

Mandanten-ID des Active Directory-Administrators des Arbeitsbereichs

type

string

Der Typ der Ressource. Z. B. "Microsoft.Compute/virtualMachines" oder "Microsoft.Storage/storageAccounts"